<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="<?php echo str_replace(basename(__FILE__), 'style.css', $_SERVER['SCRIPT_NAME']); ?>">
    <title><?php  echo basename(realpath($_SERVER['PATH_TRANSLATED']));?> </title>
</style>
<script type='text/javascript' src='https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js'></script>
<script>MathJax.Hub.Config({
    config: ["MMLorHTML.js"],
    extensions: ["tex2jax.js"],
    jax: ["input/TeX", "output/HTML-CSS", "output/NativeMML"],
    tex2jax: {
        inlineMath: [ ['$','$'], ["\\(","\\)"] ],
        displayMath: [ ['$$','$$'], ["\\[","\\]"] ],
        processEscapes: true
    },
    TeX: {
        extensions: ["AMSmath.js", "AMSsymbols.js"],
        TagSide: "right",
        TagIndent: ".8em",
        MultLineWidth: "85%",
        equationNumbers: {
            autoNumber: "AMS",
        },
        unicode: {
            fonts: "STIXGeneral,'Arial Unicode MS'"
        }
    },
    displayAlign: "center",
    showProcessingMessages: false,
    messageStyle: 'none'
});
</script>
</head>
<body>
<article class="markdown-body">
<?php

require('markdown.php');

$legalExtensions = array('md', 'markdown');

$file = realpath($_SERVER['PATH_TRANSLATED']);

if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {  # Windows OS
    $documentRoot = str_replace('/', '\\', $_SERVER['DOCUMENT_ROOT']);
} else {  #Unix OS
    $documentRoot = $_SERVER['DOCUMENT_ROOT'];
}

        /* && substr($file,0,strlen($_SERVER['DOCUMENT_ROOT'])) == $documentRoot) { */
if($file && in_array(strtolower(substr($file,strrpos($file,'.')+1)), $legalExtensions)) {
    echo Markdown(file_get_contents($file));
} else {
    echo "<p>Bad filename given</p>";
}
?>
</article>
</body>
</html>
