# Markdown Handler

Dies ist ein einfacher Markdown-Handler für den Apache-Webserver. Er basiert auf dem [GitHub-Repositorie](https://github.com/sminnee/markdown-handler) von Sébastien Lavoie und Sam Minnée sowie Rubén de Celis Hernández.

Bei dem Handler handelt es sich um eine PHP-Implementierung, so dass er leicht in eine bestehende Apache-Installation integriert werden kann. Er inkludiert [MathJax](https://www.mathjax.org/), so dass er eine bestehende Internetverbindung benötigt. Dafür sind dann aber auch mathematische Formeln im Markdown darstellbar.


## Installation

 * Kopiere `.htaccess` in das Wurzelverzeichnis der Website oder editiere eine bestehende `.htaccess`.
 * Stelle sicher, dass `mod_rewrite` und `mod_actions` im Apache-Server aktiviert sind
 * Kopiere das `markdown`-Verzeichnis ins Wurzelverzeichnis der Website.

Nun kann eine Markdown-Datei mit der Dateiendung `.md` aufgerufen und angezeigt werden.

Hier mal ein wenig Quellcode:


## Beispiele

### Programmcode

<pre>
#!/usr/bin/env python3
# -*- codig: utf-8 -*-
print("Hallo Welt!")
</pre>

### Mathematische Formeln

Und hier auch noch eine einfache mathematische Formel:

$$
    f(x) = x^2
$$

### Bilder

Last but not Least eine eingebundene Grafik:

![Historische Umkleidewagen](pics/bild.jpg "Historische Umkleidewagen auf Usedom")
